---
title: "Query market list"
description: >
  Query [markets](https://help.shopline.com/hc/en-001/articles/27936284578585-Markets-Management-Overview) created for the store.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/market/query-market-list'
  md: 'https://developer.shopline.com/docs/admin-rest-api/market/query-market-list.md'
---
# Query market list

Query [markets](https://help.shopline.com/hc/en-001/articles/27936284578585-Markets-Management-Overview) created for the store. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_markets`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /markets.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_markets`

## Request

### Query Parameters

* `limit`

  integer (optional)

  The maximum query quantity limit for markets.
  
  Default value：`50`
  
  Value range：0-100

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

* `500`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `markets`

  array<object>

  Market list.

  * `enabled`

    boolean

    Indicate whether the market is avaliable.
    
    - `true`: available
    - `false`: unavailable 

  * `market_id`

    string

    The unique identifier for the market. 

  * `market_name`

    string

    Name of the market.

  * `price_list`

    object

    Market product price information.

    * `parent`

      object

      The price adjustment details. 

      * `adjustment`

        object

        The configuration for adjusting the market's product prices relative to the default price.

  * `primary`

    boolean

     Indicate whether the market is primary market.
     - `true`: The market is primary market.
     - `false`: The market is not primary market.

  * `regions`

    array<object>

    A list of country or region information of the market. 

    * `code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard, used to identify a specific country or region. For example, `US`.
      

    * `currency`

      object

      Order currency details.

      * `currency_code`

        string

        The order currency. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, `USD`.

  * `web_presence`

    object

    Market domain name configuration.

    * `alternate_locales`

      array<string>

      A list of alternate locales, representing  additional languages or regions supported by a market.

    * `default_locale`

      string

      Default locale, referring to the primary languages or regions of a market, which is typically the default content displayed when users access the market.

    * `root_urls`

      array<object>

      A list of regional root domain names.

      * `url`

        string

        The domain name corresponding to the store.

      * `locale`

        string

        The locale that the storefront loads in.

    * `subfolder_suffix`

      string

      Subfolder-specific suffix, used in the URL to distinguish content for different languages or regions.

  * `currency_settings`

    object

    The setting of the selling price currency.

    * `base_currency`

      object

      The setting information of the selling price currency.

      * `auto_exchange_rate`

        boolean

        The system automatically updates exchange rates or not.
        
        - `true`: The system automatically updates the exchange rates.
        - `false`: The merchant needs to manually update the exchange rates.

      * `currency_code`

        string

        Currency displayed for product prices. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, `USD`.

      * `currency_name`

        string

        The currency name of the selling price.

      * `exchange_rate`

        string

        The exchange rate of USD to the target currency. It only has a value when `auto_exchange_rate` is  `false`.

      * `rate_updated_at`

        string

        The date and time when the system automatically updated the exchange rate. The value of this field follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard time format. For example, `2019-09-07T15:50:00Z`.

    * `local_currencies`

      boolean

      Use the local currency or not.
      
      - `true`: use the local currency
      - `false`: not use the local currency


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


#### 500

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query [markets](https://help.shopline.com/hc/en-001/articles/27936284578585-Markets-Management-Overview) created for the store. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_markets` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "U8zovVnn",
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "description": "The maximum query quantity limit for markets.\n\nDefault value：`50`\n\nValue range：0-100",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The maximum query quantity limit for markets.\n\nDefault value：`50`\n\nValue range：0-100",
        "type": "integer",
        "example": 2
      },
      "example": 2,
      "examples": {
        "Query the market list and specify the number of results returned.": {
          "value": "2"
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information.\n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`, the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string",
        "example": ""
      },
      "example": "",
      "examples": {
        "Query the market list and specify the number of results returned.": {
          "value": "null"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"previous\",<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=>; rel=\"next\""
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "markets": {
                "name": "markets",
                "description": "Market list.",
                "type": "array",
                "items": {
                  "name": "markets",
                  "description": "Market list.",
                  "type": "object",
                  "properties": {
                    "enabled": {
                      "name": "enabled",
                      "description": "Indicate whether the market is avaliable.\n\n- `true`: available\n- `false`: unavailable ",
                      "type": "boolean",
                      "example": true
                    },
                    "market_id": {
                      "name": "market_id",
                      "description": "The unique identifier for the market. ",
                      "type": "string",
                      "example": "2805657769119556579334"
                    },
                    "market_name": {
                      "name": "market_name",
                      "description": "Name of the market.",
                      "type": "string",
                      "example": "US-MARKET"
                    },
                    "price_list": {
                      "name": "price_list",
                      "description": "Market product price information.",
                      "type": "object",
                      "properties": {
                        "parent": {
                          "name": "parent",
                          "description": "The price adjustment details. ",
                          "type": "object",
                          "properties": {
                            "adjustment": {
                              "name": "adjustment",
                              "description": "The configuration for adjusting the market's product prices relative to the default price.",
                              "type": "object",
                              "properties": {
                                "type": {
                                  "name": "type",
                                  "description": "The type for adjusting the market's product prices relative to the default price.\n\n- `PERCENTAGE_INCREASE`: increase\n- `PERCENTAGE_DECREASE`: decrease",
                                  "type": "string",
                                  "example": "PERCENTAGE_DECREASE"
                                },
                                "value": {
                                  "name": "value",
                                  "description": "The market's relative price adjustment percentage.\n\nValue range：0-100",
                                  "type": "float",
                                  "example": 10
                                }
                              },
                              "example": {
                                "type": "PERCENTAGE_DECREASE",
                                "value": 10
                              }
                            }
                          },
                          "example": {
                            "adjustment": {
                              "type": "PERCENTAGE_DECREASE",
                              "value": 10
                            }
                          }
                        }
                      },
                      "example": {
                        "parent": {
                          "adjustment": {
                            "type": "PERCENTAGE_DECREASE",
                            "value": 10
                          }
                        }
                      }
                    },
                    "primary": {
                      "name": "primary",
                      "description": " Indicate whether the market is primary market.\n - `true`: The market is primary market.\n - `false`: The market is not primary market.",
                      "type": "boolean",
                      "example": true
                    },
                    "regions": {
                      "name": "regions",
                      "description": "A list of country or region information of the market. ",
                      "type": "array",
                      "items": {
                        "name": "regions",
                        "description": "A list of country or region information of the market. ",
                        "type": "object",
                        "properties": {
                          "code": {
                            "name": "code",
                            "description": "A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard, used to identify a specific country or region. For example, `US`.\n",
                            "type": "string",
                            "example": "US"
                          },
                          "currency": {
                            "name": "currency",
                            "description": "Order currency details.",
                            "type": "object",
                            "properties": {
                              "currency_code": {
                                "name": "currency_code",
                                "description": "The order currency. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, `USD`.",
                                "type": "string",
                                "example": "USD"
                              }
                            },
                            "example": {
                              "currency_code": "USD"
                            }
                          }
                        },
                        "example": {
                          "code": "US",
                          "currency": {
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": [
                        {
                          "code": "US",
                          "currency": {
                            "currency_code": "USD"
                          }
                        }
                      ]
                    },
                    "web_presence": {
                      "name": "web_presence",
                      "description": "Market domain name configuration.",
                      "type": "object",
                      "properties": {
                        "alternate_locales": {
                          "name": "alternate_locales",
                          "description": "A list of alternate locales, representing  additional languages or regions supported by a market.",
                          "type": "array",
                          "items": {
                            "name": "alternate_locales",
                            "description": "A list of alternate locales, representing  additional languages or regions supported by a market.",
                            "type": "string",
                            "example": "[\"us\"]"
                          },
                          "example": [
                            "[\"us\"]"
                          ]
                        },
                        "default_locale": {
                          "name": "default_locale",
                          "description": "Default locale, referring to the primary languages or regions of a market, which is typically the default content displayed when users access the market.",
                          "type": "string",
                          "example": "us"
                        },
                        "root_urls": {
                          "name": "root_urls",
                          "description": "A list of regional root domain names.",
                          "type": "array",
                          "items": {
                            "name": "root_urls",
                            "description": "A list of regional root domain names.",
                            "type": "object",
                            "properties": {
                              "url": {
                                "name": "url",
                                "description": "The domain name corresponding to the store.",
                                "type": "string",
                                "example": "https://myshopline.com"
                              },
                              "locale": {
                                "name": "locale",
                                "description": "The locale that the storefront loads in.",
                                "type": "string",
                                "example": "us"
                              }
                            },
                            "example": {
                              "url": "https://myshopline.com",
                              "locale": "us"
                            }
                          },
                          "example": [
                            {
                              "locale": "us",
                              "url": "https://myshopline.com"
                            }
                          ]
                        },
                        "subfolder_suffix": {
                          "name": "subfolder_suffix",
                          "description": "Subfolder-specific suffix, used in the URL to distinguish content for different languages or regions.",
                          "type": "string",
                          "example": "suffix"
                        }
                      },
                      "example": {
                        "subfolder_suffix": "suffix",
                        "alternate_locales": [
                          "[\"us\"]"
                        ],
                        "default_locale": "us",
                        "root_urls": [
                          {
                            "locale": "us",
                            "url": "https://myshopline.com"
                          }
                        ]
                      }
                    },
                    "currency_settings": {
                      "name": "currency_settings",
                      "description": "The setting of the selling price currency.",
                      "type": "object",
                      "properties": {
                        "base_currency": {
                          "name": "base_currency",
                          "description": "The setting information of the selling price currency.",
                          "type": "object",
                          "properties": {
                            "auto_exchange_rate": {
                              "name": "auto_exchange_rate",
                              "description": "The system automatically updates exchange rates or not.\n\n- `true`: The system automatically updates the exchange rates.\n- `false`: The merchant needs to manually update the exchange rates.",
                              "type": "boolean",
                              "example": true
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "Currency displayed for product prices. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, `USD`.",
                              "type": "string",
                              "example": "USD"
                            },
                            "currency_name": {
                              "name": "currency_name",
                              "description": "The currency name of the selling price.",
                              "type": "string",
                              "example": "USD"
                            },
                            "exchange_rate": {
                              "name": "exchange_rate",
                              "description": "The exchange rate of USD to the target currency. It only has a value when `auto_exchange_rate` is  `false`.",
                              "type": "string",
                              "example": "1.01234567891"
                            },
                            "rate_updated_at": {
                              "name": "rate_updated_at",
                              "description": "The date and time when the system automatically updated the exchange rate. The value of this field follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard time format. For example, `2019-09-07T15:50:00Z`.",
                              "type": "string",
                              "example": "2019-09-07T15:50:00Z"
                            }
                          },
                          "example": {
                            "auto_exchange_rate": true,
                            "currency_code": "USD",
                            "currency_name": "USD",
                            "exchange_rate": "1.01234567891",
                            "rate_updated_at": "2019-09-07T15:50:00Z"
                          }
                        },
                        "local_currencies": {
                          "name": "local_currencies",
                          "description": "Use the local currency or not.\n\n- `true`: use the local currency\n- `false`: not use the local currency",
                          "type": "boolean",
                          "example": true
                        }
                      },
                      "example": {
                        "base_currency": {
                          "auto_exchange_rate": true,
                          "currency_code": "USD",
                          "currency_name": "USD",
                          "exchange_rate": "1.01234567891",
                          "rate_updated_at": "2019-09-07T15:50:00Z"
                        },
                        "local_currencies": true
                      }
                    }
                  },
                  "example": {
                    "primary": true,
                    "regions": [
                      {
                        "code": "US",
                        "currency": {
                          "currency_code": "USD"
                        }
                      }
                    ],
                    "web_presence": {
                      "default_locale": "us",
                      "root_urls": [
                        {
                          "url": "https://myshopline.com",
                          "locale": "us"
                        }
                      ],
                      "subfolder_suffix": "suffix",
                      "alternate_locales": [
                        "[\"us\"]"
                      ]
                    },
                    "currency_settings": {
                      "local_currencies": true,
                      "base_currency": {
                        "auto_exchange_rate": true,
                        "currency_code": "USD",
                        "currency_name": "USD",
                        "exchange_rate": "1.01234567891",
                        "rate_updated_at": "2019-09-07T15:50:00Z"
                      }
                    },
                    "enabled": true,
                    "market_id": "2805657769119556579334",
                    "market_name": "US-MARKET",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_DECREASE",
                          "value": 10
                        }
                      }
                    }
                  }
                },
                "example": [
                  {
                    "currency_settings": {
                      "base_currency": {
                        "currency_name": "USD",
                        "exchange_rate": "1.01234567891",
                        "rate_updated_at": "2019-09-07T15:50:00Z",
                        "auto_exchange_rate": true,
                        "currency_code": "USD"
                      },
                      "local_currencies": true
                    },
                    "enabled": true,
                    "market_id": "2805657769119556579334",
                    "market_name": "US-MARKET",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_DECREASE",
                          "value": 10
                        }
                      }
                    },
                    "primary": true,
                    "regions": [
                      {
                        "code": "US",
                        "currency": {
                          "currency_code": "USD"
                        }
                      }
                    ],
                    "web_presence": {
                      "alternate_locales": [
                        "[\"us\"]"
                      ],
                      "default_locale": "us",
                      "root_urls": [
                        {
                          "locale": "us",
                          "url": "https://myshopline.com"
                        }
                      ],
                      "subfolder_suffix": "suffix"
                    }
                  }
                ]
              }
            },
            "example": {
              "markets": [
                {
                  "web_presence": {
                    "subfolder_suffix": "suffix",
                    "alternate_locales": [
                      "[\"us\"]"
                    ],
                    "default_locale": "us",
                    "root_urls": [
                      {
                        "locale": "us",
                        "url": "https://myshopline.com"
                      }
                    ]
                  },
                  "currency_settings": {
                    "base_currency": {
                      "exchange_rate": "1.01234567891",
                      "rate_updated_at": "2019-09-07T15:50:00Z",
                      "auto_exchange_rate": true,
                      "currency_code": "USD",
                      "currency_name": "USD"
                    },
                    "local_currencies": true
                  },
                  "enabled": true,
                  "market_id": "2805657769119556579334",
                  "market_name": "US-MARKET",
                  "price_list": {
                    "parent": {
                      "adjustment": {
                        "value": 10,
                        "type": "PERCENTAGE_DECREASE"
                      }
                    }
                  },
                  "primary": true,
                  "regions": [
                    {
                      "code": "US",
                      "currency": {
                        "currency_code": "USD"
                      }
                    }
                  ]
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "500": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "name": "errors",
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "Query the market list and specify the number of results returned.": {
              "description": "Query the market list and specify the number of results returned.",
              "value": {
                "markets": [
                  {
                    "primary": true,
                    "regions": [
                      {
                        "code": "US",
                        "currency": {
                          "currency_code": "USD"
                        }
                      }
                    ],
                    "web_presence": {
                      "alternate_locales": [
                        "ar",
                        "es",
                        "fr",
                        "ja",
                        "ko",
                        "pt",
                        "pt-pt",
                        "zh-hans-cn",
                        "zh-hant-tw"
                      ],
                      "default_locale": "en",
                      "root_urls": [
                        {
                          "locale": "en",
                          "url": "https://bing5.myshoplinestg.com"
                        },
                        {
                          "locale": "ar",
                          "url": "https://bing5.myshoplinestg.com/ar"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/es",
                          "locale": "es"
                        },
                        {
                          "locale": "fr",
                          "url": "https://bing5.myshoplinestg.com/fr"
                        },
                        {
                          "locale": "ja",
                          "url": "https://bing5.myshoplinestg.com/ja"
                        },
                        {
                          "locale": "ko",
                          "url": "https://bing5.myshoplinestg.com/ko"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/pt",
                          "locale": "pt"
                        },
                        {
                          "locale": "pt-pt",
                          "url": "https://bing5.myshoplinestg.com/pt-pt"
                        },
                        {
                          "locale": "zh-hans-cn",
                          "url": "https://bing5.myshoplinestg.com/zh-hans-cn"
                        },
                        {
                          "locale": "zh-hant-tw",
                          "url": "https://bing5.myshoplinestg.com/zh-hant-tw"
                        }
                      ],
                      "subfolder_suffix": null
                    },
                    "currency_settings": {
                      "local_currencies": false,
                      "base_currency": {
                        "rate_updated_at": "2023-01-11T08:47:53-10:00",
                        "auto_exchange_rate": true,
                        "currency_code": "USD",
                        "currency_name": "dollar",
                        "exchange_rate": null
                      }
                    },
                    "enabled": true,
                    "market_id": "2805653744179656264912",
                    "market_name": "US",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_DECREASE",
                          "value": 0
                        }
                      }
                    }
                  },
                  {
                    "regions": [
                      {
                        "code": "GB",
                        "currency": {
                          "currency_code": "EUR"
                        }
                      },
                      {
                        "code": "YT",
                        "currency": {
                          "currency_code": "EUR"
                        }
                      },
                      {
                        "currency": {
                          "currency_code": "EUR"
                        },
                        "code": "FR"
                      }
                    ],
                    "web_presence": {
                      "alternate_locales": [
                        "ko",
                        "pt",
                        "pt-pt"
                      ],
                      "default_locale": "en",
                      "root_urls": [
                        {
                          "locale": "en",
                          "url": "https://bing5.myshoplinestg.com/en-fr"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/ko-fr",
                          "locale": "ko"
                        },
                        {
                          "locale": "pt",
                          "url": "https://bing5.myshoplinestg.com/pt-fr"
                        },
                        {
                          "locale": "pt-pt",
                          "url": "https://bing5.myshoplinestg.com/pt-pt-fr"
                        }
                      ],
                      "subfolder_suffix": "fr"
                    },
                    "currency_settings": {
                      "base_currency": {
                        "exchange_rate": null,
                        "rate_updated_at": "2024-06-06T06:40:58-09:00",
                        "auto_exchange_rate": true,
                        "currency_code": "EUR",
                        "currency_name": "EUR"
                      },
                      "local_currencies": false
                    },
                    "enabled": true,
                    "market_id": "2805666406954174003208",
                    "market_name": "France",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_INCREASE",
                          "value": 10
                        }
                      }
                    },
                    "primary": false
                  }
                ]
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/markets.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query market list",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_markets"
  ]
}
```